import request from '@/utils/request'

// 查询检查记录列表
export function listCheckRecord(query) {
  return request({
    url: '/check/checkRecord/list',
    method: 'get',
    params: query
  })
}

// 查询检查记录详细
export function getCheckRecord(id) {
  return request({
    url: '/check/checkRecord/' + id,
    method: 'get'
  })
}

// 新增检查记录
export function addCheckRecord(data) {
  return request({
    url: '/check/checkRecord',
    method: 'post',
    data: data
  })
}

// 修改检查记录
export function updateCheckRecord(data) {
  return request({
    url: '/check/checkRecord',
    method: 'put',
    data: data
  })
}

// 删除检查记录
export function delCheckRecord(id) {
  return request({
    url: '/check/checkRecord/' + id,
    method: 'delete'
  })
}
